Page MenuHomePhabricator

Newcomer tasks: suggested edits "se-card-text" is cut off for long text
Open, Needs TriagePublic

Description

Problem:
On cswiki betalabs the text "Select other interests or difficulty levels to find suggested edits." is not fully displayed.
<p class="se-card-text">Select other interests or difficulty levels to find suggested edits.</p>

Proposed fix:
Any non article card content in the module should not constrained to be the fixed height of the card.
In the following instances, note that the image, message header, and message text for "end of suggestions", "no suggestions found", and the general error message state does not need to match the article card height. Only the pager text ("End of 345 suggestions") is in the same position as the pager text above of the article card.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJan 10 2020, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr added a subscriber: Tgr.Jan 11 2020, 3:53 AM

The text area has a fixed height, because the whole card has a fixed height, because we want the various card types to have the same dimensions. (For the no results card that's probably not that important. The no more suggestions card takes the place of a task card during navigation though, so size changes would be jarring.) Not sure how to square that with supporting arbitrarily long interface messages in the bottom.

MMiller_WMF renamed this task from [mobile] cswiki - Suggested edits "se-card-text" is cut off to Newcomer tasks: suggested edits "se-card-text" is cut off for long text.Jan 14 2020, 1:17 AM
MMiller_WMF edited projects, added NewcomerTasks 1.1; removed GrowthExperiments.
MMiller_WMF added a subscriber: RHo.

For @RHo to think about.

RHo moved this task from 📗Backlog (Current sprint) to 🔥To Do on the Growth Design board.
RHo updated the task description. (Show Details)Feb 13 2020, 10:42 PM
RHo removed a project: Growth Design.
MMiller_WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.

De-prioritizing off the sprint board in favor of other tasks.